# CAMPUS - Application pour l'Amicale

Créée pendant l'été 2019, cette application compatible Android et iOS permet aux étudiants d'avoir un accès facile aux informations du campus :
 - News de l'amicale
 - État des machines à laver
 - Liste des événements sur le campus
 - Stock du Proximo
 - Emploi du temps
 - Menu du RU
 - Disponibilité des salles libre accès
 - Réservation des Bib'Box
 
Ce dépot contient la source de cette application, modifiable par les étudiants de l'INSA Toulouse, sous licence GPLv3.

## Contribuer

Vous voulez influencer le développement ? C'est très simple !

Pas besoin de connaissance, il est possible d'aider simplement en proposant des améliorations ou en rapportant des bugs par mail (vergnet@etud.insa-toulouse.fr) ou sur [cette page](https://git.etud.insa-toulouse.fr/vergnet/application-amicale/issues), en vous connectant avec vos login INSA.

Si vous avez assez de connaissances et vous souhaitez proposer des modification dans le code, installez l'application sur votre machine, réalisez votre modification et créez une 'pull request'.

## Technologies Utilisées
Cette application est faite en JavaScript avec React Native (framework Open Source créé par Facebook), combinée avec Expo.

Cette combinaison permet de n'avoir qu'un seul code JavaScript à écrire pour Android et iOS. Pour compiler pour la plateforme souhaitée, il suffit d'effectuer une commande, qui envoie le code sur les serveurs d'Expo pour compilation (voir section Installer). Plus besoin de Mac pour développer une application iOS ! (Mais toujours besoin d'un pour publier sur l'App store...)

## [Installer l'application depuis ce dépot](INSTALL.md)

## Liens utiles
* [Documentation React Native](https://reactnative.dev/docs/getting-started)
* [Documentation Expo](https://docs.expo.io/versions/latest/)
* [Documentation React Native Paper](https://callstack.github.io/react-native-paper/)
* [Documentation React navigation](https://reactnavigation.org/docs/getting-started)
* [Documentation Jest](https://jestjs.io/docs/en/getting-started)
* [Documentation Flow](https://flow.org/en/docs/react/)
